Возможна ли установка paromplayer?

Added by Станислав Гудзовский 3 months ago

Пытаюсь установить paromplayer "красношапочным" методом (путём распаковки файлов из архива в подпапки /usr), меню программу подхватывает, но запустить её не получается из-за отсутствия библиотеки
~$ paromplayer
paromplayer: error while loading shared libraries: libQtDBus.so.4: cannot open shared object file: No such file or directory
И revdep-rebuild надежд не прибавляет:
!!! Broken orphaned files: No installed package was found for the following: * /usr/bin/paromplayer
There is nothing to emerge. Exiting.
Люди добрые, это фатально?


Replies (4)

RE: Возможна ли установка paromplayer? - Added by Фёдор Ратиев 3 months ago

Пытаюсь установить paromplayer "красношапочным" методом (путём распаковки файлов из архива в подпапки /usr), ...

Что за метод такой, можно ссылку?:)
Вот любите вы грабли перед собой раскидывать.

Люди добрые, это фатально?

Это лечится, после чтения документации и осмысления что-такое пакетный менеджер и для чего он создан.

paromplayer: error while loading shared libraries: libQtDBus.so.4: cannot open shared object file: No such file or directory

Qt4 удалён из portage.
Можешь в оверлеях поискать:

eix -R dev-qt/qtdbus
[I] dev-qt/qtdbus
     Доступные версии:      
     (4)    4.8.7[1]
     (5)    5.9.5-r1000(5/5.9)^t[3] 5.11.1(5/5.11)^t ~5.11.1-r1337(5/5.11)^t[3] ~5.11.3(5/5.11)^t **5.11.9999(5/5.11)[2] ~5.12.0(5/5.12)^t[2] **5.12.9999(5/5.12)[2] **5.9999(5/5.9999)[2]
       {aqua debug +exceptions pch test ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
     Установленные версии:  5.11.1(5/5.11)^t(22:56:44 22.10.2018)(-debug -test)
     Домашняя страница:     https://www.qt.io/
     Описание:              Qt5 module for inter-process communication over the D-Bus protocol

[1] "booboo" layman/booboo
[2] "qt" layman/qt
[3] "redcore-desktop" layman/redcore-desktop

Можно booboo оверлей подключить, но получишь проблемы с зависимостями.

RE: Возможна ли установка paromplayer? - Added by Фёдор Ратиев 3 months ago

А лучше напиши им https://www.parom.tv/ru/feedback что в Gentoo Qt4 похоронили и пусть они перепишут свой плейер на Qt5.

RE: Возможна ли установка paromplayer? - Added by Станислав Гудзовский 3 months ago

Фёдор Ратиев wrote:

Что за метод такой, можно ссылку?:)

На https://www.parom.tv/ru/linux есть 2 ваярианта: deb-пакет для Debian, Ubuntu и tar.gz архив для "других дистрибутивов", который я ошибочно счёл "красношапочным": на rpm-based дистрах метод распаковки tar.gz архива в папки /usr/bin и usr/share работает (проверял на альте и росе), но, как я теперь понимаю, не из-за rpm, а по причине наличия Qt4 в репах альта и росы.

С зависимостями было дело. Отправил вопрос, перепишут ли разработчики программу на Qt5. Будет ответ - выложу. Спасибо.

RE: Возможна ли установка paromplayer? - Added by Бронеслав Ярило 2 months ago

Странный плеер. В зависимостях значится vlc и еще мало каналов. Лучше бы какой-нибудь аддон для vlc нежели parom.
А зачем ставить в usr а в home нельзя что ли? Через ldd узнать что нужно для работы parom и как-нибудь так (не уверен что правильно)

#!/bin/sh
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$DIR/$LIBDIR" 
./paromplayer

или
#!/bin/sh
export LD_LIBRARY_PATH="`pwd`/$lib:$LD_LIBRARY_PATH" 
./paromplayer

(1-4/4)

Thank you!